/*****************************************************************************
 *
 * Author: Steve Dunn, MIT Wearable Computing Group
 * http://www.media.mit.edu/wearables/
 * Copyright (C) 2002 MIT Media Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *****************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "Action.hpp"
#include "ActionMsg.hpp"
#include "ActionImage.hpp"
#include "ActionVisualMsg.hpp"

Action::Action() {
	type = ACTION_NONE;
}

Action::~Action() {
}

void Action::show() {
	printf("Action\n");
}

//-----------------------------

void Action::write(FILE *fp) {
	fprintf(fp, "%d", type);
}

//-----------------------------

Action* Action::read(int actionType, char *data) {
	Action *action;

	switch(actionType) {
		case ACTION_MSG:
			action = new ActionMsg();
			break;
		case ACTION_IMG:
			action = new ActionImage();
			break;
		case ACTION_VISUAL_MSG:
			action = new ActionVisualMsg();
			break;
		case ACTION_NONE:
		default:
			action = NULL;
			break;
	};

	if(action != NULL) 
		action->load(data);

	return action;
}

//-----------------------------

void Action::load(char *data) {
}

