/*****************************************************************************
 *
 * Author: Steve Dunn, MIT Wearable Computing Group
 * http://www.media.mit.edu/wearables/
 * Copyright (C) 2002 MIT Media Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *****************************************************************************/

#ifndef ACTION_HPP
#define ACTION_HPP

#include <stdlib.h>
#include <stdio.h>

class Action {
protected:
public:
	int type;

	static const int ACTION_NONE = 0;
	static const int ACTION_MSG = 1;
	static const int ACTION_IMG = 2;
	static const int ACTION_VISUAL_MSG = 3;

	Action();
	virtual ~Action();

	virtual void show();
	virtual void write(FILE *fp);

	static Action* read(int actionType, char *data);
	virtual void load(char *data);
};

#endif

