/*****************************************************************************
 *
 * Author: Steve Dunn, MIT Wearable Computing Group
 * http://www.media.mit.edu/wearables/
 * Copyright (C) 2002 MIT Media Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *****************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "ActionImage.hpp"
#include "Trigger.hpp"

ActionImage::ActionImage() {
	type = ACTION_IMG;
	filename = NULL;
}

ActionImage::ActionImage(char *newFilename) {
	type = ACTION_IMG;
	filename = strdup(newFilename);
}

ActionImage::~ActionImage() {
	if(filename != NULL)
		free(filename);
}

void ActionImage::show() {
	if(filename == NULL)
		printf("ActionImage\n");
	else
		printf("ActionImage: '%s'\n", filename);
}

//-----------------------------

void ActionImage::setFilename(char *newFilename) {
	if(filename != NULL)
		free(filename);

	filename = strdup(newFilename);
}

char* ActionImage::getFilename() {
	return filename;
}


//-----------------------------

void ActionImage::write(FILE *fp) {
	if(filename == NULL)
		fprintf(fp, "%d\t", type);
	else
		fprintf(fp, "%d\t%s", type, filename);
}

//-----------------------------

void ActionImage::load(char *data) {
	setFilename(data);
}

