/*****************************************************************************
 *
 * Author: Steve Dunn, MIT Wearable Computing Group
 * http://www.media.mit.edu/wearables/
 * Copyright (C) 2002 MIT Media Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *****************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "ActionMsg.hpp"
#include "Trigger.hpp"

ActionMsg::ActionMsg() {
	type = ACTION_MSG;
	msg = NULL;
}

ActionMsg::ActionMsg(char *newMsg) {
	type = ACTION_MSG;
	msg = strdup(newMsg);
}

ActionMsg::~ActionMsg() {
	if(msg != NULL)
		free(msg);
}

void ActionMsg::show() {
	if(msg == NULL)
		printf("ActionMsg\n");
	else
		printf("ActionMsg: '%s'\n", msg);
}

//-----------------------------

void ActionMsg::setMsg(char *newMsg) {
	if(msg != NULL)
		free(msg);

	msg = strdup(newMsg);
}

char* ActionMsg::getMsg() {
	return msg;
}


//-----------------------------

void ActionMsg::write(FILE *fp) {
	if(msg == NULL)
		fprintf(fp, "%d\t", type);
	else
		fprintf(fp, "%d\t%s", type, msg);
}

//-----------------------------

void ActionMsg::load(char *data) {
	setMsg(data);
}

