/*****************************************************************************
 *
 * Author: Steve Dunn, MIT Wearable Computing Group
 * http://www.media.mit.edu/wearables/
 * Copyright (C) 2002 MIT Media Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *****************************************************************************/

#ifndef GAUSSIAN_HPP
#define GAUSSIAN_HPP

#include "RealVector.hpp"
#include "Matrix.hpp"

class Gaussian {
public:
	int identifier;
	char *label;
    int dimension;
    double prior;
    double sigma_det;
    RealVector *u;
    Matrix *sigma_inv;

	int _Verbose;

	Gaussian();
	virtual ~Gaussian();

	virtual double calc(RealVector *feature);
	virtual void show();
};

#endif

