/*****************************************************************************
 *
 * Author: Steve Dunn, MIT Wearable Computing Group
 * http://www.media.mit.edu/wearables/
 * Copyright (C) 2002 MIT Media Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *****************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

#include "Context.hpp"
#include "Signal.hpp"
#include "IntVector.hpp"

int main(int argc, char *argv[]) {
	char *sigUNL; // ex. "/signals/accel";

	Context *context = NULL;
	Signal *signal;
	IntVector *inputFeature;

	printf("FeatureReader\n");
    if(argc >= 3) {
        context = new Context(argv[1]);
    }
    else {
        printf("Usage: FeatureReader [server name] [unl]\n");
        exit(0);
    }

	sigUNL = argv[2];
	signal = new Signal(sigUNL, context);

	printf("Reading Signals --------\n");
	while(1) {
		if( (inputFeature = signal->readInts()) != NULL ) {
			inputFeature->show();

			delete inputFeature;
		}
		else {
			printf("Sleeping\n");
			sleep(1);
		}
	}

	if(context != NULL) 
		delete context;
	delete signal;

	return 0;
}

