/*****************************************************************************
 *
 * Author: Steve Dunn, MIT Wearable Computing Group
 * http://www.media.mit.edu/wearables/
 * Copyright (C) 2002 MIT Media Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *****************************************************************************/

#ifndef MARKOV_LIST_HPP
#define MARKOV_LIST_HPP

#include "Markov.hpp"

class Classification;

class MarkovList {
protected:
	virtual void readMarkov(FILE *fp, Markov *gaussian);
public:
    Markov *markovs;
    int numMarkovs;
	int numElements;
	int windowSize;

	MarkovList();
	virtual ~MarkovList();

	virtual int getNumElements();
	virtual int getWindowSize();
	virtual void load(char *filename);
	virtual void classify(Classification *classification, IntVector *states);
	virtual void show();
};

#endif

