/*****************************************************************************
 *
 * Author: Steve Dunn, MIT Wearable Computing Group
 * http://www.media.mit.edu/wearables/
 * Copyright (C) 2002 MIT Media Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *****************************************************************************/

#ifndef MATRIX_HPP
#define MATRIX_HPP

class Matrix {
protected:
	int numElements;
	int numRows;
	int numCols;

	double *element;
public:
	Matrix();
	Matrix(int rows, int cols);
	virtual ~Matrix();

	virtual int getNumElements();
	virtual int getNumRows();
	virtual int getNumCols();
	virtual double getElement(int row, int col);
	virtual void setElement(int row, int col, double val);
	virtual void identity();

	static void multiply(Matrix *m1, Matrix *m2, Matrix *result);

	virtual void show();
};

#endif

