/*****************************************************************************
 *
 * Author: Steve Dunn, MIT Wearable Computing Group
 * http://www.media.mit.edu/wearables/
 * Copyright (C) 2002 MIT Media Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *****************************************************************************/

#include <stdlib.h>
#include <stdio.h>

#include "Ant.hpp"

class MyHandler : public ContextHandler {
    virtual void handleUpdate(NodeType *node, char *unl);
};

void MyHandler::handleUpdate(NodeType *updateNode, char *unl) {
	printf("Got Context Update: %s\n", unl);
}

int main(int argc, char *argv[]) {
	MainApp mainApp;
	MainWin mainWin;
	Label label;
	MyHandler handler;

	printf("SampleApp\n");


    if(argc >= 2) {
        mainApp.setServerName(argv[1]);
    }
    else {
        // printf("Usage: SampleApp [server name]\n");
        // exit(0);
    }

    if(mainApp.context != NULL) {
        mainApp.context->subscribeToNode("/Classifiers/Classifier1");
        mainApp.setContextHandler(&handler);
    }

	mainWin.setName("SampleApp");

	label.setVal("Sample Context App");
	mainWin.addChild(&label);

	mainWin.showAll();

	mainApp.mainLoop();

	return 0;
}

