/*****************************************************************************
 *
 * Author: Steve Dunn, MIT Wearable Computing Group
 * http://www.media.mit.edu/wearables/
 * Copyright (C) 2002 MIT Media Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *****************************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

#include "Context.hpp"
#include "ContextHandler.hpp"
#include "Signal.hpp"
#include "Classification.hpp"
#include "Gaussian.hpp"
#include "MixtureModel.hpp"

int main(int argc, char *argv[]) {
	char *classUNL;   // (ex. /classifiers/accel)
	char *label;
	double prob;

	Context *context = NULL;
	Classification *classification;

	printf("SetClassification\n");
    if(argc < 5) {
        printf("Usage: SetClassification [server name] [unl] [label] [probability]\n");
        exit(0);
    }

    context = new Context(argv[1]);
	classUNL = argv[2];
	label = argv[3];
	prob = atof(argv[4]);
	
	classification = new Classification();

	classification->addToLabel(label, prob);

	if(context != NULL)
		classification->publish(context, classUNL);

	if(context != NULL) 
		delete context;
	delete classification;

	return 0;
}

