/*****************************************************************************
 *
 * Author: Steve Dunn, MIT Wearable Computing Group
 * http://www.media.mit.edu/wearables/
 * Copyright (C) 2002 MIT Media Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *****************************************************************************/

#ifndef SIGNAL_HPP
#define SIGNAL_HPP

#include "RealVector.hpp"
#include "IntVector.hpp"

class Context;
struct sockaddr_in;

class Signal {
protected:
	char *unl;
	int socket_id;
	int socketOpen;

	static const unsigned long START_VAL = 0xaabbccdd;

	long ip;
	short port;

	Context *context;

	virtual void openConnection();
	virtual void closeConnection();
	virtual int getSignalAddress(struct sockaddr_in *addr);
public:
	Signal();
	Signal(char *newUNL, Context *newContext);
	virtual ~Signal();

	virtual void setContext(Context *newContext);
	virtual void setUNL(char *newUNL);

	virtual RealVector* readReals();
	virtual IntVector* readInts();
};

#endif

