/*****************************************************************************
 *
 * Author: Steve Dunn, MIT Wearable Computing Group
 * http://www.media.mit.edu/wearables/
 * Copyright (C) 2002 MIT Media Lab
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *****************************************************************************/

#ifndef TRIGGER_HPP
#define TRIGGER_HPP

#include <stdlib.h>
#include <stdio.h>

#include "Action.hpp"

class Classification;

class Trigger {
protected:
	char *unl;
	char *label;
	double threshold;

public:
	Action *action;

	Trigger();
	Trigger(char *newUnl, char *newLabel, double newThreshold);
	Trigger(char *newUnl, char *newLabel, double newThreshold, char *newMsg);
	virtual ~Trigger();

	virtual void setUnl(char *newUnl);
	virtual void setLabel(char *newLabel);
	virtual void setThreshold(double newThreshold);
	virtual void setAction(Action *newAction);

	virtual char* getUnl();
	virtual char* getLabel();
	virtual double getThreshold();

	virtual int isActive(Classification *classification);
	virtual void show();
	virtual void write(FILE *fp);

	static int split(char *data, char **field, int maxFields, char **remainder);
	static Trigger* read(FILE *fp, const char *serverName);
};

#endif

